/*  @(#)legible.h	1.3  3/16/95  22:23:48  */
/* Legible Style for C/C++

   Copyright (C) 1992-1995, Earl F. Glynn, Overland Park, KS.


   The original book, "The C Programming Language" (1978), by Kernighan
   and Ritchie shows how "Algol fans" can use #defines to make "C" more
   legible.  See pp. 86-87 of that book.

   The purpose of this header is to make programs more understandable
   at the expense of a few more keystrokes.  Code using this header
   will look Pascal-like.  In fact, this header can be used to aid in
   porting code to/from Pascal programs and units.

   Experienced programmers, scientists or engineers, who know mathematics,
   science or engineering, but who do not know C or C++, can at least
   read and understand "legible" C/C++ much better than the normal,
   overly-terse C/C++ style.  Programmers should optimize the
   understandability of programs, instead of minimizing keystrokes.

*/

#ifndef _LEGIBLE_H_
#define _LEGIBLE_H_

#define GLOBAL  extern
#define LOCAL   static

enum    BOOLEAN  {
                   FALSE=0,
                   TRUE=1,

                   OFF=0,
                   ON=1,

                   NO=0,
                   YES=1
                 };

#define CONSTANT  const  

typedef char               CHARACTER;
typedef char *             STRING;

typedef unsigned char      BYTE;           /* assume 8 bits/byte */
typedef unsigned char *    BYTE_STRING;

                                      /* use WORD as synonym for unsigned int */
typedef unsigned int       WORD;
typedef unsigned short int WORD16;    /* portability between PCs and Suns */
typedef unsigned long  int WORD32;

typedef int                INTEGER;
typedef short int          INTEGER16;
typedef long int           INTEGER32;

typedef double             REAL;

typedef INTEGER32          IJ_POSITION;     /* pixel position */
typedef REAL               XY_POSITION;

#define OBJECT     class
#define CONSTRUCTOR
#define DESTRUCTOR  ~

#define PROCEDURE  void
#define FUNCTION

#define FOR        {for(
#define IF         {if(
#define WHILE      {while(
#define BEGIN      ){
#define THEN       ){
#define ELSE       ;} else {
#define END        ;}}

#define REPEAT     {do {
#define UNTIL(x)       } while(!(x));}

#define SELECT     {if (0) {
#define WHEN(x)    ;} else if (x) {

#define AND        &&
#define OR         ||
#define NOT        !

#define IS         ==
#define IS_NOT     !=

#define STRING_MATCH 0


#ifndef EXIT_SUCCESS
#define EXIT_SUCCESS 0 
#endif


#endif
